net.sourceforge.pmd.lang.java.ast

## Class ASTCompilationUnit

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.java.ast.AbstractJavaNode
    - - net.sourceforge.pmd.lang.java.ast.AbstractJavaTypeNode
      - - net.sourceforge.pmd.lang.java.ast.ASTCompilationUnit

All Implemented Interfaces:
  Node, RootNode, JavaNode, TypeNode

    public class ASTCompilationUnit
    extends AbstractJavaTypeNode
    implements RootNode

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`parser`

### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`beginColumn, beginLine, children, endColumn, endLine, id, parent`

### Constructor Summary

Constructors
Constructor and Description
`ASTCompilationUnit(int id)`
`ASTCompilationUnit(JavaParser p, int id)`

### Method Summary

Methods
`boolean` `declarationsAreInDefaultPackage()`
`ClassTypeResolver` `getClassTypeResolver()`
`List<Comment>` `getComments()`
`ASTPackageDeclaration` `getPackageDeclaration()`
`Object` `jjtAccept(JavaParserVisitor visitor, Object data)` Accept the visitor
`void` `setClassTypeResolver(ClassTypeResolver classTypeResolver)`
`void` `setComments(List<Comment> comments)`

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaTypeNode

`getType, setType`

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`childrenAccept, comment, comment, getScope, jjtClose, jjtOpen, setScope, toString`

### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, isSingleLine, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

`findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData`

### Constructor Detail

#### ASTCompilationUnit

    public ASTCompilationUnit(int id)

#### ASTCompilationUnit

    public ASTCompilationUnit(JavaParser p,
                      int id)

### Method Detail

#### getComments

    public List<Comment> getComments()

#### setComments

    public void setComments(List<Comment> comments)

#### jjtAccept

    public Object jjtAccept(JavaParserVisitor visitor,
                   Object data)

Accept the visitor. *

Specified by:
  `jjtAccept` in interface `JavaNode`
Overrides:
  `jjtAccept` in class `AbstractJavaNode`

#### declarationsAreInDefaultPackage

    public boolean declarationsAreInDefaultPackage()

#### getPackageDeclaration

    public ASTPackageDeclaration getPackageDeclaration()

#### getClassTypeResolver

    public ClassTypeResolver getClassTypeResolver()

#### setClassTypeResolver

    public void setClassTypeResolver(ClassTypeResolver classTypeResolver)